Subject: bug#819: 23.0.60; group and owner "Everyone" - what's that about?

From: "Drew Adams" <[email-masked]>
Date: Sat, 30 Aug 2008 06:55:15 -0700

> OK, I think I know what is going on.  You are using an Emacs 23 binary
> that was built before Aug 15 this year, right?

Yes, August 1, 2008.

> If so, there was a bug in the code back then which would manifest
> itself when w32-get-true-file-attributes was at its default value
> `local'.  The bug would cause Emacs to think that every file except
> the root directory on each local drive was not local, and therefore
> Emacs would not try to retrieve the file's security descriptor and
> glean the owner and group from that.  Instead, Emacs would fall back
> on attributing each file to the user who runs Emacs.
> 
> This is why you see the root directory owned by "Everyone", while the
> rest of files are not.
> 
> To see if my theory is right, either install a binary built after Aug
> 15, or set w32-get-true-file-attributes to t and do a Dired on C:\.
> If I'm right, you will see each and every file attributed to Everyone,
> like I'd expect on a FAT32 volume.

Bravo! Gagne. That was it - setting w32-get-true-file-attributes to t shows
Everyone everywhere. Thanks for tracking this down. Sorry I didn't have a more
recent build; it would have saved a bug report and your debugging time.